> For the complete documentation index, see [llms.txt](https://docs.yoplanning.support/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.yoplanning.support/en/yoplanning-academy/yoplanning-parametrage/module-de-reservation/integration-du-module-de-reservation/doc-technique-agence-web/suivi-de-la-source-de-trafic-avec-les-parametres-utm.md).

# Traffic source tracking with UTM parameters

## Tracking traffic source with UTM parameters

To effectively track the performance of your marketing campaigns, Yoplanning supports **UTM parameters** in URLs leading to the booking module.

***

### 🔧 How does it work?

When the user arrives at a URL containing UTMs, such as:

```
https://reservation.yoplanning.pro/oxygene?utm_source=google&utm_medium=cpc&utm_campaign=promo_ski
```

Google Analytics attributes the session to the correct source/medium/campaign.

***

### 📌 Tips

* Always add UTM parameters in your newsletter links, advertisements, partner sites, etc.
* The module automatically reads and transmits these parameters to the Data Layer.
* The system is compatible with GA4 and the sending of associated e-commerce events.

***

### ✅ Complete example

Link in your site:

```
https://reservation.yoplanning.pro/votreteam?utm_source=facebook&utm_medium=social&utm_campaign=ete2025
```

In GA4, conversions will be attributed to the correct source.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.yoplanning.support/en/yoplanning-academy/yoplanning-parametrage/module-de-reservation/integration-du-module-de-reservation/doc-technique-agence-web/suivi-de-la-source-de-trafic-avec-les-parametres-utm.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
